## watcher 13.0.0+git2025011510.0b78f31e

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
apscheduler>=3.5.1 # MIT License
eventlet>=0.27.0 # MIT
jsonpatch>=1.21 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
keystonemiddleware>=4.21.0 # Apache-2.0
lxml>=4.5.1 # BSD
croniter>=0.3.20 # MIT License
os-resource-classes>=0.4.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.cache>=1.29.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.21.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=3.37.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.reports>=1.27.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.30.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=7.0.0 # Apache-2.0
oslo.versionedobjects>=1.32.0 # Apache-2.0
PasteDeploy>=1.5.2 # MIT
pbr>=3.1.1 # Apache-2.0
pecan>=1.3.2 # BSD
PrettyTable>=0.7.2 # BSD
gnocchiclient>=7.0.1 # Apache-2.0
python-cinderclient>=3.5.0 # Apache-2.0
python-glanceclient>=2.9.1 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=14.1.0 # Apache-2.0
python-openstackclient>=3.14.0 # Apache-2.0
python-ironicclient>=2.5.0 # Apache-2.0
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.28.0 # Apache-2.0
taskflow>=3.8.0 # Apache-2.0
WebOb>=1.8.5 # MIT
WSME>=0.9.2 # MIT
networkx>=2.4 # BSD
microversion_parse>=0.2.1 # Apache-2.0
futurist>=1.8.0 # Apache-2.0

=== debian/changelog ===
watcher (2:13.0.0+git2025011510.0b78f31e-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/p/lp2086710{-pre*}.patch: Drop, included in release.
  * d/p/skip-tests.patch: Refreshed.
  * d/control: Remove unnecessary build dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 09:14:11 +0000

watcher (2:13.0.0-0ubuntu2) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * d/p/lp2086710{-pre*}.patch: Cherry pick fix and associated commits
    for compatibility between Python >= 3.12, Eventlet and watchers use
    of apscheduler background threads (LP: #2086710).

 -- James Page <james.page@ubuntu.com>  Thu, 09 Jan 2025 09:48:30 +0000

watcher (2:13.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:39:49 +0100

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-apscheduler (>= 3.5.1),
 python3-cinderclient (>= 1:3.5.0),
 python3-croniter (>= 0.3.20),
 python3-freezegun (>= 0.3.10),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-hacking (>= 1.1.0),
 python3-ironicclient (>= 2.5.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-libmaas (>= 0.6.8),
 python3-lxml (>= 4.5.1),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:14.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-resource-classes (>= 0.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pecan (>= 1.3.2),
 python3-prettytable (>= 0.7.2),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.8.0),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-voluptuous,
 python3-webob (>= 1:1.8.5),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.2),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher
Homepage: https://opendev.org/openstack/watcher
Testsuite: autopkgtest-pkg-python

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler (>= 3.5.1),
 python3-cinderclient (>= 1:3.5.0),
 python3-croniter (>= 0.3.20),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-ironicclient (>= 2.5.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.1),
 python3-microversion-parse (>= 0.2.1),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:14.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-os-resource-classes (>= 0.4.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.3.2),
 python3-prettytable (>= 0.7.2),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.8.0),
 python3-voluptuous,
 python3-webob (>= 1:1.8.5),
 python3-wsme (>= 0.9.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Python 3 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Pre-Depends:
 ucf,
 ${misc:Pre-Depends},
Depends:
 adduser,
 debconf,
 net-tools,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Pre-Depends:
 ucf,
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

## watcher 13.0.0+git2025021409.5f6fbaea

=== debian/changelog ===
watcher (2:13.0.0+git2025021409.5f6fbaea-0ubuntu1) plucky; urgency=medium

  * New upstream snapshot for OpenStack Epoxy.
  * d/control: Align dependencies with upstream.
  * d/p/further-database-refactoring.patch: Cherry pick proposed fix to
    refactor SQLAlchemy layer for improved eventlet compatibility
    (LP: #2067815).

 -- James Page <james.page@ubuntu.com>  Fri, 14 Feb 2025 11:57:49 +0000

## watcher 13.0.0+git2025030311.77a30ef2

=== debian/changelog ===
watcher (2:13.0.0+git2025030311.77a30ef2-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * Dropped further-database-refactoring.patch already merged to upstream

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:27:16 +0000

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  python3-networkx (>= 2.4),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:14.1.0),
+ python3-observabilityclient,
  python3-openstackclient (>= 3.14.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),

## watcher 13.1.0

=== debian/changelog ===
watcher (13.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - OSSN-0094_use_cinder_migrate_for_swap_volume.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 26 Sep 2025 07:51:25 +0000

watcher (13.0.0-4) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.
  * A vulnerability has been identified in OpenStack Nova and OpenStack Watcher
    in conjunction with volume swap operations performed by the Watcher
    service. Under specific circumstances, this can lead to a situation where
    two Nova libvirt instances could reference the same block device, allowing
    accidental information disclosure to the unauthorized instance. Added
    upstream patch: OSSN-0094_use_cinder_migrate_for_swap_volume.patch.
    (Closes: #1111692).

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Aug 2025 10:43:13 +0200

## watcher 14.0.0~rc1

=== debian/changelog ===
watcher (14.0.0~rc1-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 20:14:37 +0000

watcher (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:10:31 +0100

watcher (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 10:50:32 +0100

## watcher 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 python-monascaclient>=1.12.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=14.1.0 # Apache-2.0
+python-observabilityclient>=0.3.0 # Apache-2.0
 python-openstackclient>=3.14.0 # Apache-2.0
 python-ironicclient>=2.5.0 # Apache-2.0
 SQLAlchemy>=1.2.5 # MIT

=== doc/requirements.txt ===
sphinx>=2.1.1 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
# openstack
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
watcher (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:02:07 +0200

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 133~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-apscheduler,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-eventlet,
 python3-freezegun,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-hacking,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-observabilityclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-resource-classes,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-prettytable,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 python3-wsme,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/watcher
Vcs-Git: https://salsa.debian.org/openstack-team/services/watcher.git
Homepage: https://github.com/openstack/watcher

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler,
 python3-cinderclient,
 python3-croniter,
 python3-eventlet,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-observabilityclient,
 python3-openstackclient,
 python3-os-resource-classes,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-prettytable,
 python3-sqlalchemy,
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/watcher/tags .*/(\d[brc\d\.]+)\.tar\.gz

## watcher 14.0.0+git2025070714.bbe30f93

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 apscheduler>=3.5.1 # MIT License
+debtcollector>=1.2.0 # Apache-2.0
 eventlet>=0.27.0 # MIT
 jsonpatch>=1.21 # BSD
 keystoneauth1>=3.4.0 # Apache-2.0

=== debian/changelog ===
watcher (2:14.0.0+git2025070714.bbe30f93-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/skip-tests.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 14:22:34 -0700

watcher (2:14.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.
  * .launchpad.yaml: Sync from cloud-archive-tools for epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/p/skip-tests.patch: Refresh patch.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 08:23:43 -0700

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.1.1),
Build-Depends-Indep:
 python3-apscheduler (>= 3.5.1),
 python3-cinderclient (>= 1:3.5.0),
 python3-croniter (>= 0.3.20),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.27.0),
 python3-freezegun (>= 0.3.10),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-hacking (>= 1.1.0),
 python3-ironicclient (>= 2.5.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-libmaas (>= 0.6.8),
 python3-lxml (>= 4.5.1),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:14.1.0),
 python3-observabilityclient,
 python3-openstackclient (>= 3.14.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-resource-classes (>= 0.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pecan (>= 1.3.2),
 python3-prettytable (>= 0.7.2),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.8.0),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-voluptuous,
 python3-webob (>= 1:1.8.5),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.2),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher
Homepage: https://opendev.org/openstack/watcher
Testsuite: autopkgtest-pkg-python

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler (>= 3.5.1),
 python3-cinderclient (>= 1:3.5.0),
 python3-croniter (>= 0.3.20),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-ironicclient (>= 2.5.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.1),
 python3-microversion-parse (>= 0.2.1),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:14.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-os-resource-classes (>= 0.4.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy (>= 4.3.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.0.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.3.2),
 python3-prettytable (>= 0.7.2),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.8.0),
 python3-voluptuous,
 python3-webob (>= 1:1.8.5),
 python3-wsme (>= 0.9.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Python 3 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Pre-Depends:
 ucf,
 ${misc:Pre-Depends},
Depends:
 adduser,
 debconf,
 net-tools,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Pre-Depends:
 ucf,
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

## watcher 14.1.0

=== debian/changelog ===
watcher (14.1.0-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed OSSN-0094_use_cinder_migrate_for_swap_volume.patch applied
    upstream.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Wed, 24 Sep 2025 09:50:21 +0000

watcher (14.0.0-3) unstable; urgency=high

  * A vulnerability has been identified in OpenStack Nova and OpenStack Watcher
    in conjunction with volume swap operations performed by the Watcher
    service. Under specific circumstances, this can lead to a situation where
    two Nova libvirt instances could reference the same block device, allowing
    accidental information disclosure to the unauthorized instance. Added
    upstream patch: OSSN-0094_use_cinder_migrate_for_swap_volume.patch.
    (Closes: #1111692).

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Aug 2025 10:27:37 +0200

watcher (14.0.0-2) unstable; urgency=medium

  * Add export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:45:24 +0200

## watcher 15.0.0~rc1

=== debian/changelog ===
watcher (15.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 30 Sep 2025 07:25:26 +0000

watcher (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:15:39 +0200

watcher (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed OSSN-0094_use_cinder_migrate_for_swap_volume.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 12:41:31 +0200
